require('mini.base16').setup({
  palette = {
    base00 = "#{{base00-hex}}",
    base01 = "#{{base01-hex}}",
    base02 = "#{{base02-hex}}",
    base03 = "#{{base03-hex}}",
    base04 = "#{{base04-hex}}",
    base05 = "#{{base05-hex}}",
    base06 = "#{{base06-hex}}",
    base07 = "#{{base07-hex}}",
    base08 = "#{{base08-hex}}",
    base09 = "#{{base09-hex}}",
    base0A = "#{{base0A-hex}}",
    base0B = "#{{base0B-hex}}",
    base0C = "#{{base0C-hex}}",
    base0D = "#{{base0D-hex}}",
    base0E = "#{{base0E-hex}}",
    base0F = "#{{base0F-hex}}",
  },
  use_cterm = true,
  plugins = {
    default = false,
    ['nvim-mini/mini.nvim'] = true,
  },
})

local color = require('mini.base16').config.palette.base02
local back_color = require('mini.base16').config.palette.base00

vim.api.nvim_set_hl(0, 'LineNr', { fg = color, bg = back_color })
vim.api.nvim_set_hl(0, 'LineNrAbove', { fg = color, bg = back_color })
vim.api.nvim_set_hl(0, 'LineNrBelow', { fg = color, bg = back_color })
vim.api.nvim_set_hl(0, 'SignColumn', { bg = "none" })
vim.api.nvim_set_hl(0, 'FoldColumn', { bg = "none" })
vim.api.nvim_set_hl(0, 'CursorLineNr', { bg = "none" })
vim.api.nvim_set_hl(0, 'DiagnosticSignWarn', { fg = "#{{base0E-hex}}", bg = "none" })
vim.api.nvim_set_hl(0, 'DiagnosticSignHint', { fg = "#{{base0D-hex}}", bg = "none" })
vim.api.nvim_set_hl(0, 'DiagnosticSignError', { fg = "#{{base08-hex}}", bg = "none" })
vim.api.nvim_set_hl(0, 'DiagnosticSignOk', { fg = "#{{base0B-hex}}", bg = "none" })
vim.api.nvim_set_hl(0, 'DiagnosticSignInfo', { fg = "#{{base0C-hex}}", bg = "none" })
